 data:extend({
{
	type = "electric-pole",
	name = "substation-mk2",
	icon = "__Extended_electricity__/graphics/substation-mk2-icon.png",
	flags = {"placeable-neutral", "player-creation"},
	minable = {hardness = 0.2, mining_time = 0.5, result = "substation-mk2"},
	max_health = 200,
	corpse = "medium-remnants",
	resistances = 
	{
		{
			type = "fire",
			percent = 90
		}
	},
	collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
	selection_box = {{-1, -1}, {1, 1}},
	drawing_box = {{-1, -1.5}, {1, 1}},
	maximum_wire_distance = 28,
	supply_area_distance = 14,
	pictures =
	{
		filename = "__Extended_electricity__/graphics/substation-mk2.png",
		priority = "high",
		width = 132,
		height = 144,
		--axially_symmetrical = false,
		direction_count = 4,
		shift = {0.9, -1}
	},
	vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
	working_sound =
	{
		sound = { filename = "__base__/sound/substation.ogg" },
		apparent_volume = 1.5,
		audible_distance_modifier = 0.5,
		probability = 1 / (3 * 60) -- average pause between the sound is 3 seconds
	},
	connection_points =
    {
		{
			shadow =
			{
				copper = {1.9, -0.6},
				green = {1.3, -0.6},
				red = {2.65, -0.6}
			},
			wire =
			{
				copper = {-0.25, -2.71875},
				green = {-0.84375, -2.71875},
				red = {0.34375, -2.71875}
			}
		},
		{
			shadow =
			{
				copper = {1.9, -0.6},
				green = {1.2, -0.8},
				red = {2.5, -0.35}
			},
			wire =
			{
				copper = {-0.21875, -2.71875},
				green = {-0.65625, -3.03125},
				red = {0.1875, -2.4375}
			}
		},
		{
			shadow =
			{
				copper = {1.9, -0.6},
				green = {1.9, -0.9},
				red = {1.9, -0.3}
			},
			wire =
			{
				copper = {-0.21875, -2.71875},
				green = {-0.21875, -3.15625},
				red = {-0.21875, -2.34375}
			}
		},
		{
			shadow =
			{
				copper = {1.8, -0.7},
				green = {1.3, -0.6},
				red = {2.4, -1.15}
			},
			wire =
			{
				copper = {-0.21875, -2.75},
				green = {-0.65625, -2.4375},
				red = {0.1875, -3.03125}
			}
		}
    },
	radius_visualisation_picture =
	{
		filename = "__base__/graphics/entity/small-electric-pole/electric-pole-radius-visualization.png",
		width = 12,
		height = 12,
		priority = "extra-high-no-scale"
	},
  --fast_replaceable_group = "electric-pole-2x2"  
},

{
	type = "electric-pole",
	name = "substation-mk3",
	icon = "__Extended_electricity__/graphics/substation-mk3-icon.png",
	flags = {"placeable-neutral", "player-creation"},
	minable = {hardness = 0.2, mining_time = 0.5, result = "substation-mk3"},
	max_health = 200,
	corpse = "medium-remnants",
	resistances = 
	{
		{
			type = "fire",
			percent = 90
		}
	},
	collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
	selection_box = {{-1, -1}, {1, 1}},
	drawing_box = {{-1, -1.5}, {1, 1}},
	maximum_wire_distance = 42,
	supply_area_distance = 21,
	pictures =
	{
		filename = "__Extended_electricity__/graphics/substation-mk3.png",
		priority = "high",
		width = 132,
		height = 144,
		--axially_symmetrical = false,
		direction_count = 4,
		shift = {0.9, -1}
	},
	vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
	working_sound =
	{
		sound = { filename = "__base__/sound/substation.ogg" },
		apparent_volume = 1.5,
		audible_distance_modifier = 0.5,
		probability = 1 / (3 * 60) -- average pause between the sound is 3 seconds
	},
	connection_points =
    {
		{
			shadow =
			{
				copper = {1.9, -0.6},
				green = {1.3, -0.6},
				red = {2.65, -0.6}
			},
			wire =
			{
				copper = {-0.25, -2.71875},
				green = {-0.84375, -2.71875},
				red = {0.34375, -2.71875}
			}
		},
		{
			shadow =
			{
				copper = {1.9, -0.6},
				green = {1.2, -0.8},
				red = {2.5, -0.35}
			},
			wire =
			{
				copper = {-0.21875, -2.71875},
				green = {-0.65625, -3.03125},
				red = {0.1875, -2.4375}
			}
		},
		{
			shadow =
			{
				copper = {1.9, -0.6},
				green = {1.9, -0.9},
				red = {1.9, -0.3}
			},
			wire =
			{
				copper = {-0.21875, -2.71875},
				green = {-0.21875, -3.15625},
				red = {-0.21875, -2.34375}
			}
		},
		{
			shadow =
			{
				copper = {1.8, -0.7},
				green = {1.3, -0.6},
				red = {2.4, -1.15}
			},
			wire =
			{
				copper = {-0.21875, -2.75},
				green = {-0.65625, -2.4375},
				red = {0.1875, -3.03125}
			}
		}
    },
	radius_visualisation_picture =
	{
		filename = "__base__/graphics/entity/small-electric-pole/electric-pole-radius-visualization.png",
		width = 12,
		height = 12,
		priority = "extra-high-no-scale"
	},
  --fast_replaceable_group = "electric-pole-2x2"  
}

})
  